### Method

# Ide Snippet get_description

#### Declaration

    const gchar*
    ide_snippet_get_description (
      IdeSnippet* self
    )

#### Description

Gets the description for the snippet.

Available since: | 3.32

Gets property | `Ide.Snippet:description`

#### Return value

Returns: | `const gchar*`
| No description available.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.